Create custom style
curl --request POST \
--url https://rawugc.com/api/v1/styles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Product Unboxing",
"type": "video",
"aspectRatio": "portrait",
"promptTemplate": "Show {character} unboxing {productName}. {messaging}"
}
'import requests
url = "https://rawugc.com/api/v1/styles"
payload = {
"name": "Product Unboxing",
"type": "video",
"aspectRatio": "portrait",
"promptTemplate": "Show {character} unboxing {productName}. {messaging}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Product Unboxing',
type: 'video',
aspectRatio: 'portrait',
promptTemplate: 'Show {character} unboxing {productName}. {messaging}'
})
};
fetch('https://rawugc.com/api/v1/styles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Styles
Create custom style
Create a new custom video creative style with an optional prompt template.
POST
/
styles
Create custom style
Authorizations
Use your API key from the RawUGC dashboard. Include as: Authorization: Bearer YOUR_API_KEY
Body
application/json
Style name
Required string length:
1 - 200Style description
Maximum string length:
1000Style type
Available options:
video, image Output aspect ratio
Available options:
portrait, landscape, square Prompt template with {productName}, {messaging}, {character} placeholders
Maximum string length:
5000Response
Style created
Was this page helpful?
⌘I

